from __future__ import annotations
from typing import Any, Protocol, runtime_checkable
from com.sun.star.uno import XInterface

@runtime_checkable
class XConfigManager(XInterface, Protocol):
    def addPropertyChangeListener(self, KeyName: str, Listener: XPropertyChangeListener) -> None: ...
    def removePropertyChangeListener(self, KeyName: str, Listener: XPropertyChangeListener) -> None: ...
    def substituteVariables(self, Text: str) -> str: ...
    def flush(self) -> None: ...
